Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595052 - Coda initscript priorities are badly chosen
Summary: Coda initscript priorities are badly chosen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: coda
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-23 06:19 UTC by Ilpo Nyyssonen
Modified: 2010-12-03 14:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:27:08 UTC


Attachments (Terms of Use)

Description Ilpo Nyyssonen 2010-05-23 06:19:18 UTC
Current priorities in coda initcripts:

auth2:       # chkconfig: - 95 01 
update:      # chkconfig: - 95 02 
codasrv:     # chkconfig: - 96 01 
coda-client: # chkconfig: 345 97 01 

Problems:

Startup happens very late, for example after crond and so the filesystem is not available at crontab @reboot.

Stopping happens very early, some daemon process might still want to write something when stopping.

Stopping order is wrong, it should be: coda-client, codasrv, update, auth2.

Comment 1 Neil Horman 2010-05-28 15:09:22 UTC
We can probably move the coda client start to the same priority as netfs (25)

We probably should ensure that codasrv stops before update and auth2 do, but beyond that it should be fine If you reverse the auth2 and update priorities you should be ok.

Can you make those changes and confirm that it works ok?  Thanks!

Comment 2 Ilpo Nyyssonen 2010-05-28 16:21:15 UTC
I have coda-client in the server machine and it must start after codasrv and stop before codasrv. I did lose a change when I rebooted with those priorities in the current RPMs.

I don't see any problem using the netfs priority for coda-client.

I would prefer also stopping happening much later.

I don't want to reboot that machine right now to try it, maybe later...

Comment 3 Neil Horman 2010-05-28 16:43:36 UTC
Then you're seeing some other problem.  As you note above coda-client and codasrv are at the same stop priority, so their stopping ocurs in apha order.  Check the rc script:

for i in `ls ./K*`
> do
> echo $i
> done
./K01coda-client
./K01codasrv


coda-client should stop first.  If you want add a set -x to the rc stop routine and we can trace whats going on there.


As for stopping, priority 25 is about the best we can do, we need to start after the network comes up and stop before it goes down.

If you don't want to reboot now, thats fine, let me know when that changes.

Comment 4 Neil Horman 2010-08-09 14:37:00 UTC
ping, any update?

Comment 5 Bug Zapper 2010-11-03 14:22:55 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 14:27:08 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.